Get player game stats for an event
curl --request GET \
--url https://therundown.io/api/v2/events/{eventID}/players/stats \
--header 'X-TheRundown-Key: <api-key>'import requests
url = "https://therundown.io/api/v2/events/{eventID}/players/stats"
headers = {"X-TheRundown-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-TheRundown-Key': '<api-key>'}};
fetch('https://therundown.io/api/v2/events/{eventID}/players/stats', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://therundown.io/api/v2/events/{eventID}/players/stats",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-TheRundown-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://therundown.io/api/v2/events/{eventID}/players/stats"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-TheRundown-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://therundown.io/api/v2/events/{eventID}/players/stats")
.header("X-TheRundown-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://therundown.io/api/v2/events/{eventID}/players/stats")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-TheRundown-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body[
{
"player": {
"id": 16566,
"sport_id": 4,
"team_id": 29,
"updated_at": "2026-10-16T08:00:43Z",
"first_name": "Zion",
"last_name": "Williamson",
"display_name": "Zion Williamson",
"weight": 284,
"height": 78,
"display_weight": "284 lbs",
"display_height": "6' 6\"",
"age": 26,
"date_of_birth": "2000-07-06T07:00Z",
"slug": "zion-williamson",
"jersey": "1",
"position": "Forward",
"position_abbreviation": "F",
"birth_place_city": "Salisbury",
"birth_place_country": "USA",
"experience_years": 0,
"active": true,
"status": "Active"
},
"meta": {
"complete": true,
"event_id": "4da852b74a096afec78d67f1b938294c"
},
"stats": [
{
"stat": {
"id": 1269,
"name": "points",
"category": "offensive",
"display_name": "Points",
"abbreviation": "PTS",
"description": "The number of points scored.",
"sport_id": 4
},
"value": "23",
"updated_at": "2026-11-05T04:01:40Z"
},
{
"stat": {
"id": 1271,
"name": "assists",
"category": "offensive",
"display_name": "Assists",
"abbreviation": "AST",
"description": "The number of times a player who passes the ball to a teammate in a way that leads to a score by field goal, meaning that he or she was \"assisting\" in the basket. There is some judgment involved in deciding whether a passer should be credited with an assi",
"sport_id": 4
},
"value": "2",
"updated_at": "2026-11-05T03:13:34Z"
}
]
}
]V2 Stats
Get player game stats for an event
Retrieve player game stats for an event with the V2 sports data API. Review request parameters and response fields.
GET
/
api
/
v2
/
events
/
{eventID}
/
players
/
stats
Get player game stats for an event
curl --request GET \
--url https://therundown.io/api/v2/events/{eventID}/players/stats \
--header 'X-TheRundown-Key: <api-key>'import requests
url = "https://therundown.io/api/v2/events/{eventID}/players/stats"
headers = {"X-TheRundown-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-TheRundown-Key': '<api-key>'}};
fetch('https://therundown.io/api/v2/events/{eventID}/players/stats', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://therundown.io/api/v2/events/{eventID}/players/stats",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-TheRundown-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://therundown.io/api/v2/events/{eventID}/players/stats"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-TheRundown-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://therundown.io/api/v2/events/{eventID}/players/stats")
.header("X-TheRundown-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://therundown.io/api/v2/events/{eventID}/players/stats")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-TheRundown-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body[
{
"player": {
"id": 16566,
"sport_id": 4,
"team_id": 29,
"updated_at": "2026-10-16T08:00:43Z",
"first_name": "Zion",
"last_name": "Williamson",
"display_name": "Zion Williamson",
"weight": 284,
"height": 78,
"display_weight": "284 lbs",
"display_height": "6' 6\"",
"age": 26,
"date_of_birth": "2000-07-06T07:00Z",
"slug": "zion-williamson",
"jersey": "1",
"position": "Forward",
"position_abbreviation": "F",
"birth_place_city": "Salisbury",
"birth_place_country": "USA",
"experience_years": 0,
"active": true,
"status": "Active"
},
"meta": {
"complete": true,
"event_id": "4da852b74a096afec78d67f1b938294c"
},
"stats": [
{
"stat": {
"id": 1269,
"name": "points",
"category": "offensive",
"display_name": "Points",
"abbreviation": "PTS",
"description": "The number of points scored.",
"sport_id": 4
},
"value": "23",
"updated_at": "2026-11-05T04:01:40Z"
},
{
"stat": {
"id": 1271,
"name": "assists",
"category": "offensive",
"display_name": "Assists",
"abbreviation": "AST",
"description": "The number of times a player who passes the ball to a teammate in a way that leads to a score by field goal, meaning that he or she was \"assisting\" in the basket. There is some judgment involved in deciding whether a passer should be credited with an assi",
"sport_id": 4
},
"value": "2",
"updated_at": "2026-11-05T03:13:34Z"
}
]
}
]